Bug 753685 - Grub2 Brightness at Lowest Level During Boot
Grub2 Brightness at Lowest Level During Boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 01:12 EST by Vincent passaro
Modified: 2013-02-13 16:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent passaro 2011-11-14 01:12:19 EST
Description of problem: Grub2 sets screen brightness at lowest possible level.


Version-Release number of selected component (if applicable):

grub2-1.99-12.fc16.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Install Fedora 16 with Grub
2. Reboot 
3. Screen gets reset to lowest brightness setting.
  
Actual results:

Should be a minimal or max brightness so that user can actually see the screen.


Expected results:

Dark screen to low brightness. 


Additional info:

Lenovo W520 Intel Graphics (Discrete Nvidia 1000M doesn't work at all on F16)

Tried to configure options:

acpi_osi=Linux 
acpi_backlight=vendor

Neither Work....
Comment 1 Mads Kiilerich 2011-11-17 16:50:39 EST
Exactly what do you see, and why do you think it is grub2 that do something incorrectly?

Do you see full brightness in the BIOS? And low brightness at the grub2 menu?

I doubt that grub2 is aware of the brightness level at all.

Kernel parameters will only be used by the kernel that is launched by grub2, so they would never be able to fix a problem in grub2.
Comment 2 Vincent passaro 2011-11-17 17:02:50 EST
It was an assumption that grub was the issue, I could be wrong.

When grub comes online the screen is bright, but the moment it starts loading the ramdisk, the screen goes dark.
Comment 3 Mads Kiilerich 2011-11-17 17:26:20 EST
Yeah, that points at something grub.

Can you try to choose the option for editing the boot menu and try to remove the load_video line and boot that?

Do the brightness go away at the same place?
Comment 4 Vincent passaro 2011-11-19 13:29:12 EST
Yes, the brightness goes away right at the loading initial ramdisk.
Comment 5 Mads Kiilerich 2011-11-19 19:49:53 EST
Can you try to remove the ramdisk line and try to boot and see exactly when the brightness goes away? (The boot will then fail with a kernel oops that you might or might not see.)

Do you see the same or different behaviour with a Fedora 16 live cd or other Fedora versions or other Linux distributions?
Comment 6 Vincent passaro 2011-11-19 22:12:28 EST
I haven't tried the Live CD but the screen issue did happen when installing F16.
Comment 7 Mads Kiilerich 2012-04-16 18:03:42 EDT
Do you still see this issue?

Can you try with a f17 beta live cd?
Comment 8 Fedora End Of Life 2013-01-16 11:58:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:12:17 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.